/* Navbar */
.navbar-1 {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 1000;
    background-color: #000000de;
}


.menu-container {
    display: flex;
    justify-content: start;
    align-items: flex-start;
    padding: 15px;
}

/* Botón de menú hamburguesa */
.menu-toggle {
    background: none;
    border: none;
    cursor: pointer;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 24px;
    width: 30px;
    z-index: 1100;
}

.menu-bar {
    display: block;
    height: 3px;
    width: 100%;
    background: white;
    border-radius: 2px;
    transition: all 0.3s ease;
}

/* Menú deslizante */
.nav-links {
    position: fixed;
    top: 0;
    left: -250px; /* Oculta el menú fuera de la vista */
    height: 100%;
    width: 250px;
    background-color: rgba(56, 56, 56, 0.9);
    list-style: none;
    padding: 35px;
    margin:0;
    display: flex;
    flex-direction: column;
    justify-content: start;
    transition: left 0.3s ease;
}

/* Mostrar el menú */
.nav-links.open {
    left: 0;
}

.nav-link-a {
    color: #ffffffde;
    text-decoration: none;
    font-size: 1.2rem;
    margin: 15px 18px;
    font-size: 1.2rem;
    font-weight: bold;
    transition: color 0.3s ease;
}

.nav-link-a:hover {
    color: #f4a261;
}

/* Ajustes para pantallas grandes */
@media (min-width: 768px) {
    .menu-toggle {
        display: none; /* Oculta el menú hamburguesa */
    }

    .nav-links {
        position: static;
        display: flex;
        flex-direction: row;
        justify-content: center;
        background: transparent;
        height: auto;
        width: auto;
        padding: 0;
        color: white;
    }

    .nav-link {
        margin: 0 15px;
    }

    
.menu-container {
    display: flex;
    justify-content: center;
    align-items: flex-start;
    padding: 15px;
}
}
